org.jetlang.web

## Class KeyValueList

- java.lang.Object
- - org.jetlang.web.KeyValueList

All Implemented Interfaces:
  Iterable<KeyValueList.Entry>

    public class KeyValueList
    extends Object
    implements Iterable<KeyValueList.Entry>

### Nested Class Summary

Nested Classes
`static class` `KeyValueList.Entry`

### Field Summary

Fields
`static KeyValueList` `EMPTY`

### Constructor Summary

Constructors
Constructor and Description
`KeyValueList(boolean caseSensitive)`
`KeyValueList(int expectedSize, boolean caseSensitive)`
`KeyValueList(List<KeyValueList.Entry> entries, boolean caseSensitive)`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`void` `add(String name, String value)`
`void` `appendTo(StringBuilder builder)`
`void` `forEach(java.util.function.Consumer<? super KeyValueList.Entry> action)`
`String` `get(String key)`
`List<String>` `getAll(String param)`
`List<KeyValueList.Entry>` `getHeaders()`
`Iterator<KeyValueList.Entry>` `iterator()`
`static KeyValueList` `parseUrlEncoded(String query, boolean caseSensitive)`
`int` `size()`
`Spliterator<KeyValueList.Entry>` `spliterator()`
`String` `toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Field Detail

#### EMPTY

    public static final KeyValueList EMPTY

### Constructor Detail

#### KeyValueList

    public KeyValueList(int expectedSize,
                        boolean caseSensitive)

#### KeyValueList

    public KeyValueList(boolean caseSensitive)

#### KeyValueList

    public KeyValueList(List<KeyValueList.Entry> entries,
                        boolean caseSensitive)

### Method Detail

#### getHeaders

    public List<KeyValueList.Entry> getHeaders()

#### get

    public String get(String key)

#### iterator

    public Iterator<KeyValueList.Entry> iterator()

Specified by:
  `iterator` in interface `Iterable<KeyValueList.Entry>`

#### forEach

    public void forEach(java.util.function.Consumer<? super KeyValueList.Entry> action)

Specified by:
  `forEach` in interface `Iterable<KeyValueList.Entry>`

#### spliterator

    public Spliterator<KeyValueList.Entry> spliterator()

Specified by:
  `spliterator` in interface `Iterable<KeyValueList.Entry>`

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`

#### add

    public void add(String name,
                    String value)

#### appendTo

    public void appendTo(StringBuilder builder)

#### getAll

    public List<String> getAll(String param)

#### size

    public int size()

#### parseUrlEncoded

    public static KeyValueList parseUrlEncoded(String query,
                                               boolean caseSensitive)